Bug 104292 - battstat sucks up CPU
Summary: battstat sucks up CPU
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-applets   
(Show other bugs)
Version: beta1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-12 05:34 UTC by Joel
Modified: 2007-04-18 16:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 09:05:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joel 2003-09-12 05:34:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703
Galeon/1.3.8

Description of problem:
The battstat sucks up too much CPU.  There is a patch that works:

http://www.its.caltech.edu/~dmoore/battstat/

The explanation there is better than I can give without stealing his
text...

Version-Release number of selected component (if applicable):
severn version and rawhide version

How reproducible:
Always

Steps to Reproduce:
1. run battstat on an inspiron 8500 from dell
2. type top
3.  look
    

Actual Results:  12% CPU or more being burned

Expected Results:  0% CPU being burned

Additional info:

I should have reported this a long time ago...

Comment 1 Havoc Pennington 2003-09-18 22:21:00 UTC
Surely this has been reported to bugzilla.gnome.org? If not it really needs to
be, I'm not sure why the patches at that URL are being maintained separately.


Comment 2 David Moore 2003-10-11 16:50:50 UTC
Yes, it's been reported upstream here:

http://bugzilla.gnome.org/show_bug.cgi?id=88553

However, I think the gnome-applets maintainers might need a nudge to get this
patch merged.  Any help with that would be appreciated.  I know debian also has
a bug filed on this problem.

Comment 3 Joel 2003-10-11 17:04:14 UTC
Patched versions of 2.4.1 applets are at:

http://www.translingual.com:8080/~jdy/RPMS/

sorry for the lame index.html file


Comment 4 Damian Menscher 2003-11-12 04:04:29 UTC
It appears that it was fixed up-stream as of 2003-10-22.  Would be 
really nice if that could be released as an update to fedora sometime 
soon.

Comment 5 Robert Brimhall 2003-11-13 03:01:19 UTC
This patch is great but the ac/battery status icon does not update
most of the time when unplugging and plugging in the ac... is there a
way to have the battery polled as is in the patch but maybe have the
ac polled more frequently?

Comment 6 David Moore 2003-12-12 03:49:20 UTC
If anyone is still have problems with the patched version of battstat,
please try the patch here:

http://bugzilla.gnome.org/show_bug.cgi?id=129167

It fixes an important bug in my earlier patch that may cause the AC
icon to not update properly, especially observed with Fedora users.

Comment 7 Mark McLoughlin 2004-07-19 09:05:56 UTC
So, this should all be fixed in Fedora Core 2, right?

Comment 8 Joel 2004-07-19 18:23:59 UTC
right.  seems fixed to me so far.


Note You need to log in before you can comment on or make changes to this bug.